import UIKit
import Flutter


@UIApplicationMain
class AppDelegate: FlutterAppDelegate {
    var navigationController: UINavigationController?
    
  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
    GeneratedPluginRegistrant.register(with: self);

    //let controller : FlutterBinaryMessenger = window?.rootViewController as! FlutterBinaryMessenger;
    let controller: FlutterViewController = self.window.rootViewController as! FlutterViewController;
    
    self.navigationController = UINavigationController.init(rootViewController: controller)
    window = UIWindow(frame: UIScreen.main.bounds)
    window?.rootViewController = self.navigationController
    window?.makeKeyAndVisible()
    
    let cameraChannel = FlutterMethodChannel.init(name: "useCamera",
                                                  binaryMessenger: controller.binaryMessenger);

    cameraChannel.setMethodCallHandler({
      (call: FlutterMethodCall, result: FlutterResult) -> Void in
      if ("useCamera" == call.method) {
        
        self.openCamera()
      } else {
        result(FlutterMethodNotImplemented);
      }
    });

    return super.application(application, didFinishLaunchingWithOptions: launchOptions);
  }
    private func openCamera() {
        let vc:UIViewController = ViewController();
        self.navigationController?.pushViewController(vc, animated: true)
    }
}
